Subject: [AAA-WG]: question on draft-ietf-aaa-diameter-sip-app-02

From: [email-masked]
Date: Tue, 04 May 2004 12:59:33 +0200

I noticed that in draft-ietf-aaa-diameter-sip-app-02.txt, Route-Record 
is added to each Answer-request (UAA, SAA, LIA, MAA, RTA, PPA). But 
according to BASE, we have to add this attribute for each request that 
is forwarded. The purpose is to check for loops, but that's only 
necessary in requests. I agree that BASE doesn't explicitly forbid this 
attribute in the response, but none of the command-codes defined in BASE 
have a Route-Record in a Response. I also checked all the other 
applications-drafts, but the SIP-application is the only one that does it..

-- 
Jo Hermans